Package org.springframework.cglib.core

# Class Signature

java.lang.Object
org.springframework.cglib.core.Signature

public class Signature extends Object
A representation of a method signature, containing the method name, return type, and parameter types.

## Constructor Summary

Constructors
Constructor
Description
`Signature(String name, String desc)`
`Signature(String name, Type returnType, Type[] argumentTypes)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Type[]`
`getArgumentTypes()`
`String`
`getDescriptor()`
`String`
`getName()`
`Type`
`getReturnType()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Signature

public Signature(String name, String desc)

### Signature

public Signature(String name, Type returnType, Type[] argumentTypes)

## Method Details

### getName

public String getName()

### getDescriptor

public String getDescriptor()

### getReturnType

public Type getReturnType()

### getArgumentTypes

public Type[] getArgumentTypes()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`